/*!
 *****************************************************************************
 * @file:   ADuCM410_Setup.c
 * @brief:  setup for ADuCM410
 *-----------------------------------------------------------------------------
 *
Copyright (c) 2013-2018 Analog Devices, Inc. All Rights Reserved.

This software is proprietary to Analog Devices, Inc. and its licensors.
By using this software you agree to the terms of the associated
Analog Devices Software License Agreement.
 ******************************************************************************/

#include "UrtLib.h"
#include "ClkLib.h"

/*
   User can change following cofiguraion according to application
*/
CLK_SETUP_t gClkSetup = 
{
   //--------- configuration ---------
   .pllEn = 1,
   .rootClkMux = ENUM_CLOCK_CLKCON0_CLKMUX_SPLL,
   .analogClkMux = ENUM_CLOCK_CLKCON0_ANACLKMUX_HFOSC,
    

//-----------------Clock Divider -------------   
   .hclkDiv = ENUM_CLOCK_CLKCON1_CDHCLK_DIV1,
   .pclk0Div = ENUM_CLOCK_CLKCON1_CDPCLK0_DIV8,
   .pclk1Div = ENUM_CLOCK_CLKCON1_CDPCLK1_DIV8,
    
   .clockOff = 0x00000000,  //all clock on

   //---------Interrupt------------
   .pllIntEn = 0,    //0 - disalbe interrrupt related to PLL

   //-------TEST CLOCK -------
   .clkOutput = ENUM_CLOCK_CLKCON0_CLKOUT_B1_PCLK,
};

Urt_SETUP_t gUrt0Setup = 
{
    //--------- configuration ---------
    //115200-8-1
    .baudrate = 115200,
    .bitLength = ENUM_UART_LCR_WLS_BITS8,
    .stopBit = ENUM_UART_STOPBIT1,
    .parityEn = 0,
    .parityType = ENUM_UART_LCR_EPS_ODD,
    .stickParityEn = 0,
    .loopback = 0,
    //----------- FIFO ------------
    .fifoEn = 1,
    .fifoIntTrigger = ENUM_UART_FCR_RFTRIG_BYTE8,
    .fifoDmaMode = 0,
    //--------- Interrupt -----------
    .rxBufFullIntEn = 1,
    .txIntEn = 0,
    .lineErrIntEn = 0,
    .modemIntEn = 0,
    //---------- Dma ------------
    .rxDmaEn = 0,
    .txDmaEn = 0,
};

/*
   User can change following cofiguraion according to application
*/
Urt_SETUP_t gUrt1Setup = 
{
    //--------- configuration ---------
    //115200-8-1
    .baudrate = 115200,
    .bitLength = ENUM_UART_LCR_WLS_BITS8,
    .stopBit = ENUM_UART_STOPBIT1,
    .parityEn = 0,
    .parityType = ENUM_UART_LCR_EPS_ODD,
    .stickParityEn = 0,
    .loopback = 0,
    //----------- FIFO ------------
    .fifoEn = 1,
    .fifoIntTrigger = ENUM_UART_FCR_RFTRIG_BYTE8,
    .fifoDmaMode = 0,
    //--------- Interrupt -----------
    .rxBufFullIntEn = 1,
    .txIntEn = 0,
    .lineErrIntEn = 0,
    .modemIntEn = 0,
    //---------- Dma ------------
    .rxDmaEn = 0,
    .txDmaEn = 0,
};

